Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1285103002: [Editing] Make loop condition in insertOrderedList::doApply strict. (Closed)

Created:
2 years, 3 months ago by yoichio
Modified:
2 years, 3 months ago
Reviewers:
yosin_UTC9
CC:
blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

[Editing] Make loop condition in insertOrderedList::doApply strict. The while loop starting from L163 in insertOrderedList::doApply uses two loop variables, |startOfCurrentParagrap| and |startOfLastParagraph|. They are of Position type and modified in loop. Old implementation can go into infinite loop if |startOfCurrentParagrap| skips over |startOfLastParagraph|. Thus this CL adds condition that |startOfCurrentParagrap| should be before |startOfLastParagraph|. TEST=LayoutTests/editing/execCommand/execCommand/insert-list-infinite-loop2.html Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=200956

Patch Set 1 #

Patch Set 2 : update #

Total comments: 6

Patch Set 3 : nit pick #

Messages

Total messages: 13 (4 generated)
yoichio
2 years, 3 months ago (2015-08-19 06:23:27 UTC) #2
yosin_UTC9
C++ changes sound good. Does this patch fix a bug? There are no BUG= in ...
2 years, 3 months ago (2015-08-19 07:10:32 UTC) #3
yoichio
> Does this patch fix a bug? There are no BUG= in description. No, it ...
2 years, 3 months ago (2015-08-20 06:30:46 UTC) #4
yoichio
https://codereview.chromium.org/1285103002/diff/20001/LayoutTests/editing/execCommand/insert-list-infinite-loop2.html File LayoutTests/editing/execCommand/insert-list-infinite-loop2.html (right): https://codereview.chromium.org/1285103002/diff/20001/LayoutTests/editing/execCommand/insert-list-infinite-loop2.html#newcode1 LayoutTests/editing/execCommand/insert-list-infinite-loop2.html:1: <script src="../../resources/testharness.js"></script> On 2015/08/19 07:10:32, Yosi_UTC9 wrote: > We ...
2 years, 3 months ago (2015-08-20 06:31:10 UTC) #5
yosin_UTC9
lgtm
2 years, 3 months ago (2015-08-20 07:30:17 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1285103002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1285103002/40001
2 years, 3 months ago (2015-08-20 07:30:32 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/95865)
2 years, 3 months ago (2015-08-20 08:54:10 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1285103002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1285103002/40001
2 years, 3 months ago (2015-08-21 01:56:54 UTC) #12
commit-bot: I haz the power
2 years, 3 months ago (2015-08-21 03:38:46 UTC) #13
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=200956

Powered by Google App Engine
This is Rietveld efc10ee0f